<?php
require_once (PATH_TABLES . "activity/CustomerLocationAssetTable.php") ;
require_once (PATH_MODELS . "base/MasterBase.php") ;

class CustomerLocationAssetClass extends MasterBase {
    private $dbsun;
	function __construct($db) {
		$this->db 		= $db ;
		$this->tbl 		= CustomerLocationAssetTable::C_TABLE ;
        $this->fldid    = CustomerLocationAssetTable::C_ID ;
		$this->fldid2 	= CustomerLocationAssetTable::C_CUST_LOC_ID ;
	}
	function __destruct() {
	}

	function getCustomerLocationAsset($id){
        $sql = "SELECT * FROM " ;
        $sql .= CustomerLocationAssetTable::C_TABLE . " WHERE " . CustomerLocationAssetTable::C_ID . " = " . $id;
        
        $rows = $this->db->getTable($sql);

        if(!is_null($rows) && count($rows) > 0){
            return $rows;
        }
        
        return null;
    }
}
?>